diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 1c23538d3c5..db67f07000a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -15,10 +15,10 @@
    discuss each parameter in detail.
   </para>
 
-  <sect1 id="config-setting">
+  <sect1 id="config-setting" xreflabel="Setting Parameters">
    <title>Setting Parameters</title>
 
-   <sect2 id="config-setting-names-values">
+   <sect2 id="config-setting-names-values" xreflabel="Parameter Names and Values">
     <title>Parameter Names and Values</title>
 
     <para>
@@ -129,7 +129,7 @@
     </itemizedlist>
    </sect2>
 
-   <sect2 id="config-setting-configuration-file">
+   <sect2 id="config-setting-configuration-file" xreflabel="Parameter Interaction via the Configuration File">
     <title>Parameter Interaction via the Configuration File</title>
 
     <para>
@@ -216,7 +216,7 @@ shared_buffers = 128MB
     </para>
    </sect2>
 
-   <sect2 id="config-setting-sql">
+   <sect2 id="config-setting-sql" xreflabel="Parameter Interaction via SQL">
     <title>Parameter Interaction via SQL</title>
 
      <para>
@@ -318,7 +318,7 @@ UPDATE pg_settings SET setting = reset_val WHERE name = 'configuration_parameter
 
    </sect2>
 
-   <sect2 id="config-setting-shell">
+   <sect2 id="config-setting-shell" xreflabel="Parameter Interaction via the Shell">
     <title>Parameter Interaction via the Shell</title>
 
      <para>
@@ -371,7 +371,7 @@ env PGOPTIONS="-c geqo=off --statement-timeout=5min" psql
 
    </sect2>
 
-   <sect2 id="config-includes">
+   <sect2 id="config-includes" xreflabel="Managing Configuration File Contents">
     <title>Managing Configuration File Contents</title>
 
      <para>
@@ -499,7 +499,7 @@ include_dir 'conf.d'
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-file-locations">
+   <sect1 id="runtime-config-file-locations" xreflabel="File Locations">
     <title>File Locations</title>
 
      <para>
@@ -633,10 +633,10 @@ include_dir 'conf.d'
      </para>
    </sect1>
 
-   <sect1 id="runtime-config-connection">
+   <sect1 id="runtime-config-connection" xreflabel="Connections and Authentication">
     <title>Connections and Authentication</title>
 
-    <sect2 id="runtime-config-connection-settings">
+    <sect2 id="runtime-config-connection-settings" xreflabel="Connection Settings">
      <title>Connection Settings</title>
 
      <variablelist>
@@ -946,7 +946,7 @@ include_dir 'conf.d'
      </variablelist>
      </sect2>
 
-     <sect2 id="runtime-config-tcp-settings">
+     <sect2 id="runtime-config-tcp-settings" xreflabel="TCP Settings">
      <title>TCP Settings</title>
 
      <variablelist>
@@ -1077,7 +1077,7 @@ include_dir 'conf.d'
      </variablelist>
      </sect2>
 
-     <sect2 id="runtime-config-connection-authentication">
+     <sect2 id="runtime-config-connection-authentication" xreflabel="Authentication">
      <title>Authentication</title>
 
      <variablelist>
@@ -1254,7 +1254,7 @@ include_dir 'conf.d'
      </variablelist>
      </sect2>
 
-     <sect2 id="runtime-config-connection-ssl">
+     <sect2 id="runtime-config-connection-ssl" xreflabel="SSL">
      <title>SSL</title>
 
      <para>
@@ -1704,10 +1704,10 @@ include_dir 'conf.d'
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-resource">
+   <sect1 id="runtime-config-resource" xreflabel="Resource Consumption">
     <title>Resource Consumption</title>
 
-    <sect2 id="runtime-config-resource-memory">
+    <sect2 id="runtime-config-resource-memory" xreflabel="Memory">
      <title>Memory</title>
 
      <variablelist>
@@ -2341,7 +2341,7 @@ include_dir 'conf.d'
      </variablelist>
      </sect2>
 
-     <sect2 id="runtime-config-resource-disk">
+     <sect2 id="runtime-config-resource-disk" xreflabel="Disk">
      <title>Disk</title>
 
      <variablelist>
@@ -2430,7 +2430,7 @@ include_dir 'conf.d'
      </variablelist>
      </sect2>
 
-     <sect2 id="runtime-config-resource-kernel">
+     <sect2 id="runtime-config-resource-kernel" xreflabel="Kernel Resource Usage">
      <title>Kernel Resource Usage</title>
 
      <variablelist>
@@ -2463,7 +2463,7 @@ include_dir 'conf.d'
     </sect2>
 
 
-    <sect2 id="runtime-config-resource-background-writer">
+    <sect2 id="runtime-config-resource-background-writer" xreflabel="Background Writer">
      <title>Background Writer</title>
 
      <para>
@@ -2601,7 +2601,7 @@ include_dir 'conf.d'
      </para>
     </sect2>
 
-    <sect2 id="runtime-config-resource-io">
+    <sect2 id="runtime-config-resource-io" xreflabel="I/O">
      <title>I/O</title>
 
      <variablelist>
@@ -2821,7 +2821,7 @@ include_dir 'conf.d'
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-resource-worker-processes">
+    <sect2 id="runtime-config-resource-worker-processes" xreflabel="Worker Processes">
      <title>Worker Processes</title>
 
      <variablelist>
@@ -2981,7 +2981,7 @@ include_dir 'conf.d'
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-wal">
+   <sect1 id="runtime-config-wal" xreflabel="Write Ahead Log">
     <title>Write Ahead Log</title>
 
    <para>
@@ -2989,7 +2989,7 @@ include_dir 'conf.d'
     see <xref linkend="wal-configuration"/>.
    </para>
 
-    <sect2 id="runtime-config-wal-settings">
+    <sect2 id="runtime-config-wal-settings" xreflabel="Settings">
      <title>Settings</title>
      <variablelist>
 
@@ -3632,7 +3632,7 @@ include_dir 'conf.d'
 
      </variablelist>
      </sect2>
-     <sect2 id="runtime-config-wal-checkpoints">
+     <sect2 id="runtime-config-wal-checkpoints" xreflabel="Checkpoints">
      <title>Checkpoints</title>
 
     <variablelist>
@@ -3779,7 +3779,7 @@ include_dir 'conf.d'
 
      </variablelist>
      </sect2>
-     <sect2 id="runtime-config-wal-archiving">
+     <sect2 id="runtime-config-wal-archiving" xreflabel="Archiving">
      <title>Archiving</title>
 
     <variablelist>
@@ -3919,7 +3919,7 @@ include_dir 'conf.d'
      </variablelist>
     </sect2>
 
-   <sect2 id="runtime-config-wal-recovery">
+   <sect2 id="runtime-config-wal-recovery" xreflabel="Recovery">
 
     <title>Recovery</title>
 
@@ -3983,7 +3983,7 @@ include_dir 'conf.d'
     </variablelist>
    </sect2>
 
-  <sect2 id="runtime-config-wal-archive-recovery">
+  <sect2 id="runtime-config-wal-archive-recovery" xreflabel="Archive Recovery">
 
     <title>Archive Recovery</title>
 
@@ -4159,7 +4159,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
   </sect2>
 
-  <sect2 id="runtime-config-wal-recovery-target">
+  <sect2 id="runtime-config-wal-recovery-target" xreflabel="Recovery Target">
 
     <title>Recovery Target</title>
 
@@ -4396,7 +4396,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
     </variablelist>
    </sect2>
 
-   <sect2 id="runtime-config-wal-summarization">
+   <sect2 id="runtime-config-wal-summarization" xreflabel="WAL Summarization">
     <title>WAL Summarization</title>
 
     <para>
@@ -4464,7 +4464,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
    </sect1>
 
-   <sect1 id="runtime-config-replication">
+   <sect1 id="runtime-config-replication" xreflabel="Replication">
     <title>Replication</title>
 
     <para>
@@ -4498,7 +4498,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      <xref linkend="logical-replication-config"/>.
     </para>
 
-    <sect2 id="runtime-config-replication-sender">
+    <sect2 id="runtime-config-replication-sender" xreflabel="Sending Servers">
      <title>Sending Servers</title>
 
      <para>
@@ -4751,7 +4751,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-replication-primary">
+    <sect2 id="runtime-config-replication-primary" xreflabel="Primary Server">
      <title>Primary Server</title>
 
      <para>
@@ -4901,7 +4901,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-replication-standby">
+    <sect2 id="runtime-config-replication-standby" xreflabel="Standby Servers">
      <title>Standby Servers</title>
 
      <para>
@@ -5304,7 +5304,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-replication-subscriber">
+    <sect2 id="runtime-config-replication-subscriber" xreflabel="Subscribers">
      <title>Subscribers</title>
 
      <para>
@@ -5423,10 +5423,10 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
    </sect1>
 
-   <sect1 id="runtime-config-query">
+   <sect1 id="runtime-config-query" xreflabel="Query Planning">
     <title>Query Planning</title>
 
-    <sect2 id="runtime-config-query-enable">
+    <sect2 id="runtime-config-query-enable" xreflabel="Planner Method Configuration">
      <title>Planner Method Configuration</title>
 
       <para>
@@ -5873,7 +5873,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
      </variablelist>
      </sect2>
-     <sect2 id="runtime-config-query-constants">
+     <sect2 id="runtime-config-query-constants" xreflabel="Planner Cost Constants">
      <title>Planner Cost Constants</title>
 
     <para>
@@ -6203,7 +6203,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </variablelist>
 
     </sect2>
-     <sect2 id="runtime-config-query-geqo">
+     <sect2 id="runtime-config-query-geqo" xreflabel="Genetic Query Optimizer">
      <title>Genetic Query Optimizer</title>
 
      <para>
@@ -6357,7 +6357,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
      </variablelist>
     </sect2>
-     <sect2 id="runtime-config-query-other">
+     <sect2 id="runtime-config-query-other" xreflabel="Other Planner Options">
      <title>Other Planner Options</title>
 
      <variablelist>
@@ -6593,14 +6593,14 @@ SELECT * FROM parent WHERE key = 2400;
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-logging">
+   <sect1 id="runtime-config-logging" xreflabel="Error Reporting and Logging">
     <title>Error Reporting and Logging</title>
 
     <indexterm zone="runtime-config-logging">
      <primary>server log</primary>
     </indexterm>
 
-    <sect2 id="runtime-config-logging-where">
+    <sect2 id="runtime-config-logging-where" xreflabel="Where to Log">
      <title>Where to Log</title>
 
      <indexterm zone="runtime-config-logging-where">
@@ -7064,7 +7064,7 @@ local0.*    /var/log/postgresql
 
       </variablelist>
     </sect2>
-     <sect2 id="runtime-config-logging-when">
+     <sect2 id="runtime-config-logging-when" xreflabel="When to Log">
      <title>When to Log</title>
 
      <variablelist>
@@ -7396,7 +7396,7 @@ local0.*    /var/log/postgresql
     </table>
 
     </sect2>
-     <sect2 id="runtime-config-logging-what">
+     <sect2 id="runtime-config-logging-what" xreflabel="What to Log">
      <title>What to Log</title>
 
      <note>
@@ -8224,7 +8224,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
 
      </variablelist>
     </sect2>
-     <sect2 id="runtime-config-logging-csvlog">
+     <sect2 id="runtime-config-logging-csvlog" xreflabel="Using CSV-Format Log Output">
      <title>Using CSV-Format Log Output</title>
 
        <para>
@@ -8353,7 +8353,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         </orderedlist>
       </para>
     </sect2>
-     <sect2 id="runtime-config-logging-jsonlog">
+     <sect2 id="runtime-config-logging-jsonlog" xreflabel="Using JSON-Format Log Output">
      <title>Using JSON-Format Log Output</title>
 
      <para>
@@ -8536,7 +8536,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </table>
     </sect2>
 
-   <sect2 id="runtime-config-logging-proc-title">
+   <sect2 id="runtime-config-logging-proc-title" xreflabel="Process Title">
     <title>Process Title</title>
 
     <para>
@@ -8598,10 +8598,10 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
    </sect2>
   </sect1>
 
-   <sect1 id="runtime-config-statistics">
+   <sect1 id="runtime-config-statistics" xreflabel="Run-time Statistics">
     <title>Run-time Statistics</title>
 
-    <sect2 id="runtime-config-cumulative-statistics">
+    <sect2 id="runtime-config-cumulative-statistics" xreflabel="Cumulative Query and Index Statistics">
      <title>Cumulative Query and Index Statistics</title>
 
      <para>
@@ -8824,7 +8824,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-statistics-monitor">
+    <sect2 id="runtime-config-statistics-monitor" xreflabel="Statistics Monitoring">
      <title>Statistics Monitoring</title>
      <variablelist>
 
@@ -8907,7 +8907,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-vacuum">
+   <sect1 id="runtime-config-vacuum" xreflabel="Vacuuming">
     <title>Vacuuming</title>
 
     <indexterm>
@@ -8920,7 +8920,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      purpose and responsibilities of vacuum, see <xref linkend="routine-vacuuming"/>.
     </para>
 
-    <sect2 id="runtime-config-autovacuum">
+    <sect2 id="runtime-config-autovacuum" xreflabel="Automatic Vacuuming">
      <title>Automatic Vacuuming</title>
 
      <para>
@@ -9274,7 +9274,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-resource-vacuum-cost">
+    <sect2 id="runtime-config-resource-vacuum-cost" xreflabel="Cost-based Vacuum Delay">
      <title>Cost-based Vacuum Delay</title>
 
      <para>
@@ -9420,7 +9420,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </note>
     </sect2>
 
-    <sect2 id="runtime-config-vacuum-default">
+    <sect2 id="runtime-config-vacuum-default" xreflabel="Default Behavior">
      <title>Default Behavior</title>
 
      <variablelist>
@@ -9450,7 +9450,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-vacuum-freezing">
+    <sect2 id="runtime-config-vacuum-freezing" xreflabel="Freezing">
      <title>Freezing</title>
 
      <para>
@@ -9673,10 +9673,10 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-client">
+   <sect1 id="runtime-config-client" xreflabel="Client Connection Defaults">
     <title>Client Connection Defaults</title>
 
-    <sect2 id="runtime-config-client-statement">
+    <sect2 id="runtime-config-client-statement" xreflabel="Statement Behavior">
      <title>Statement Behavior</title>
      <variablelist>
 
@@ -10516,7 +10516,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
      </variablelist>
     </sect2>
-     <sect2 id="runtime-config-client-format">
+     <sect2 id="runtime-config-client-format" xreflabel="Locale and Formatting">
      <title>Locale and Formatting</title>
 
      <variablelist>
@@ -10824,7 +10824,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
     </sect2>
 
-    <sect2 id="runtime-config-client-preload">
+    <sect2 id="runtime-config-client-preload" xreflabel="Shared Library Preloading">
      <title>Shared Library Preloading</title>
 
      <para>
@@ -11034,7 +11034,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
     </variablelist>
    </sect2>
 
-     <sect2 id="runtime-config-client-other">
+     <sect2 id="runtime-config-client-other" xreflabel="Other Defaults">
      <title>Other Defaults</title>
 
      <variablelist>
@@ -11187,7 +11187,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-locks">
+   <sect1 id="runtime-config-locks" xreflabel="Lock Management">
     <title>Lock Management</title>
 
      <variablelist>
@@ -11334,10 +11334,10 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </variablelist>
    </sect1>
 
-   <sect1 id="runtime-config-compatible">
+   <sect1 id="runtime-config-compatible" xreflabel="Version and Platform Compatibility">
     <title>Version and Platform Compatibility</title>
 
-    <sect2 id="runtime-config-compatible-version">
+    <sect2 id="runtime-config-compatible-version" xreflabel="Previous PostgreSQL Versions">
      <title>Previous PostgreSQL Versions</title>
 
      <variablelist>
@@ -11522,7 +11522,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </variablelist>
     </sect2>
 
-    <sect2 id="runtime-config-compatible-clients">
+    <sect2 id="runtime-config-compatible-clients" xreflabel="Platform and Client Compatibility">
      <title>Platform and Client Compatibility</title>
      <variablelist>
 
@@ -11626,7 +11626,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     </sect2>
    </sect1>
 
-   <sect1 id="runtime-config-error-handling">
+   <sect1 id="runtime-config-error-handling" xreflabel="Error Handling">
     <title>Error Handling</title>
 
     <variablelist>
@@ -11746,7 +11746,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
 
    </sect1>
 
-   <sect1 id="runtime-config-preset">
+   <sect1 id="runtime-config-preset" xreflabel="Preset Options">
     <title>Preset Options</title>
 
     <para>
@@ -12113,7 +12113,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     </variablelist>
    </sect1>
 
-   <sect1 id="runtime-config-custom">
+   <sect1 id="runtime-config-custom" xreflabel="Customized Options">
     <title>Customized Options</title>
 
     <para>
@@ -12142,7 +12142,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     </para>
    </sect1>
 
-   <sect1 id="runtime-config-developer">
+   <sect1 id="runtime-config-developer" xreflabel="Developer Options">
     <title>Developer Options</title>
 
     <para>
@@ -12981,7 +12981,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
 
     </variablelist>
   </sect1>
-  <sect1 id="runtime-config-short">
+  <sect1 id="runtime-config-short" xreflabel="Short Options">
    <title>Short Options</title>
 
    <para>
diff --git a/doc/src/sgml/contrib-spi.sgml b/doc/src/sgml/contrib-spi.sgml
index 6fa9479d1b9..e71963ec58c 100644
--- a/doc/src/sgml/contrib-spi.sgml
+++ b/doc/src/sgml/contrib-spi.sgml
@@ -24,7 +24,7 @@
   separately-installable extension.
  </para>
 
- <sect2 id="contrib-spi-refint">
+ <sect2 id="contrib-spi-refint" xreflabel="refint &mdash; Functions for Implementing Referential Integrity">
   <title>refint &mdash; Functions for Implementing Referential Integrity</title>
 
   <para>
@@ -75,7 +75,7 @@
   </para>
  </sect2>
 
- <sect2 id="contrib-spi-autoinc">
+ <sect2 id="contrib-spi-autoinc" xreflabel="autoinc &mdash; Functions for Autoincrementing Fields">
   <title>autoinc &mdash; Functions for Autoincrementing Fields</title>
 
   <para>
@@ -104,7 +104,7 @@
 
  </sect2>
 
- <sect2 id="contrib-spi-insert-username">
+ <sect2 id="contrib-spi-insert-username" xreflabel="insert_username &mdash; Functions for Tracking Who Changed a Table">
   <title>insert_username &mdash; Functions for Tracking Who Changed a Table</title>
 
   <para>
@@ -125,7 +125,7 @@
 
  </sect2>
 
- <sect2 id="contrib-spi-moddatetime">
+ <sect2 id="contrib-spi-moddatetime" xreflabel="moddatetime &mdash; Functions for Tracking Last Modification Time">
   <title>moddatetime &mdash; Functions for Tracking Last Modification Time</title>
 
   <para>
diff --git a/doc/src/sgml/contrib.sgml b/doc/src/sgml/contrib.sgml
index 24b706b29ad..34b5a48d085 100644
--- a/doc/src/sgml/contrib.sgml
+++ b/doc/src/sgml/contrib.sgml
@@ -207,7 +207,7 @@ pages.
   other program.
  </para>
 
- <sect1 id="contrib-prog-client">
+ <sect1 id="contrib-prog-client" xreflabel="Client Applications">
   <title>Client Applications</title>
 
   <para>
@@ -223,7 +223,7 @@ pages.
  &vacuumlo;
  </sect1>
 
- <sect1 id="contrib-prog-server">
+ <sect1 id="contrib-prog-server" xreflabel="Server Applications">
   <title>Server Applications</title>
 
   <para>
diff --git a/doc/src/sgml/cube.sgml b/doc/src/sgml/cube.sgml
index a11c0cbd767..141d8e55c7f 100644
--- a/doc/src/sgml/cube.sgml
+++ b/doc/src/sgml/cube.sgml
@@ -18,7 +18,7 @@
   on the current database.
  </para>
 
- <sect2 id="cube-syntax">
+ <sect2 id="cube-syntax" xreflabel="Syntax">
   <title>Syntax</title>
 
   <para>
@@ -99,7 +99,7 @@
   </para>
  </sect2>
 
- <sect2 id="cube-precision">
+ <sect2 id="cube-precision" xreflabel="Precision">
   <title>Precision</title>
 
   <para>
@@ -108,7 +108,7 @@
   </para>
  </sect2>
 
- <sect2 id="cube-usage">
+ <sect2 id="cube-usage" xreflabel="Usage">
   <title>Usage</title>
 
   <para>
@@ -533,7 +533,7 @@ SELECT c FROM test ORDER BY c ~&gt; 3 DESC LIMIT 5;
   </table>
  </sect2>
 
- <sect2 id="cube-defaults">
+ <sect2 id="cube-defaults" xreflabel="Defaults">
   <title>Defaults</title>
 
   <para>
@@ -587,7 +587,7 @@ t
 </programlisting>
  </sect2>
 
- <sect2 id="cube-notes">
+ <sect2 id="cube-notes" xreflabel="Notes">
   <title>Notes</title>
 
   <para>
@@ -601,7 +601,7 @@ t
   </para>
  </sect2>
 
- <sect2 id="cube-credits">
+ <sect2 id="cube-credits" xreflabel="Credits">
   <title>Credits</title>
 
   <para>
diff --git a/doc/src/sgml/custom-rmgr.sgml b/doc/src/sgml/custom-rmgr.sgml
index 3032b2dc0d2..e972f5c4bf2 100644
--- a/doc/src/sgml/custom-rmgr.sgml
+++ b/doc/src/sgml/custom-rmgr.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/custom-rmgr.sgml -->
 
-<sect1 id="custom-rmgr">
+<sect1 id="custom-rmgr" xreflabel="Custom WAL Resource Managers">
  <title>Custom WAL Resource Managers</title>
 
  <para>
diff --git a/doc/src/sgml/custom-scan.sgml b/doc/src/sgml/custom-scan.sgml
index a200d502cdd..dde182f224a 100644
--- a/doc/src/sgml/custom-scan.sgml
+++ b/doc/src/sgml/custom-scan.sgml
@@ -31,7 +31,7 @@
   the same relation.
  </para>
 
- <sect1 id="custom-scan-path">
+ <sect1 id="custom-scan-path" xreflabel="Creating Custom Scan Paths">
   <title>Creating Custom Scan Paths</title>
 
   <para>
@@ -131,7 +131,7 @@ extern PGDLLIMPORT set_join_pathlist_hook_type set_join_pathlist_hook;
    by the planner as the best path for the <literal>joinrel</literal>.
   </para>
 
-  <sect2 id="custom-scan-path-callbacks">
+  <sect2 id="custom-scan-path-callbacks" xreflabel="Custom Scan Path Callbacks">
   <title>Custom Scan Path Callbacks</title>
 
   <para>
@@ -167,7 +167,7 @@ List *(*ReparameterizeCustomPathByChild) (PlannerInfo *root,
   </sect2>
  </sect1>
 
- <sect1 id="custom-scan-plan">
+ <sect1 id="custom-scan-plan" xreflabel="Creating Custom Scan Plans">
   <title>Creating Custom Scan Plans</title>
 
   <para>
@@ -230,7 +230,7 @@ typedef struct CustomScan
    for a <structname>CustomPath</structname> or <structname>CustomScanState</structname>.
   </para>
 
-  <sect2 id="custom-scan-plan-callbacks">
+  <sect2 id="custom-scan-plan-callbacks" xreflabel="Custom Scan Plan Callbacks">
    <title>Custom Scan Plan Callbacks</title>
    <para>
 <programlisting>
@@ -249,7 +249,7 @@ Node *(*CreateCustomScanState) (CustomScan *cscan);
   </sect2>
  </sect1>
 
- <sect1 id="custom-scan-execution">
+ <sect1 id="custom-scan-execution" xreflabel="Executing Custom Scans">
   <title>Executing Custom Scans</title>
 
   <para>
@@ -279,7 +279,7 @@ typedef struct CustomScanState
    structure embedding the above as its first member.
   </para>
 
-  <sect2 id="custom-scan-execution-callbacks">
+  <sect2 id="custom-scan-execution-callbacks" xreflabel="Custom Scan Execution Callbacks">
    <title>Custom Scan Execution Callbacks</title>
 
    <para>
